<app-candidate-nav></app-candidate-nav>

<div *ngIf="!gradData">
    Unable to get data
    <a href="candidate-management/viewGrad">click to try again</a>
</div>
<div>
    <button mat-raised-button color="primary" (click)="viewcurrent()">
        View current Data &nbsp;<mat-icon>perm_identity</mat-icon>
    </button>
</div>
<div *ngIf="gradData">
    <div class="name">GRAD HISTORY</div>
    <div *ngFor="let data of gradData" class="mat-elevation-z8">
       
        <table>
            <tr>
                <td>
                    Edited on:
                </td>
                <td>
                    {{data.createdOn}}
                </td>
            </tr>
            <tr>
                <td>
                    Grad ID:
                </td>
                <td>
                    {{data.gradId}}
                </td>
            </tr>
            <tr>
                <td>
                    Name:
                </td>
                <td>
                    {{data.gradFirstName}}&nbsp; {{data.gradMiddleName}}&nbsp; {{data.gradLastName}}
                </td>
            </tr>
            <tr>
                <td>Gender:</td>
                <td>{{data.gender}}</td>
            </tr>
            <tr>
                <td>
                    Email id:
                </td>
                <td>
                    {{data.email}}
                </td>
            </tr>
            <tr>
                <td>
                    Contact:
                </td>
                <td>{{data.contact}}</td>
            </tr>
            <tr>
                <td>Address:</td>
                <td>
                    {{data.houseNo}},&nbsp;
                    {{data.street}},&nbsp;{{data.city}},
                    {{data.state}}
                </td>
            </tr>
            <tr>
                <td>Zip-Code:</td>
                <td>{{data.zipcode}}</td>
            </tr>

            <tr>
                <td>Institute:</td>
                <td>{{data.institute}}</td>
            </tr>
            <tr>
                <td>Qualification:</td>
                <td>{{data.degree}}</td>
            </tr>
            <tr>
                <td>
                    Branch
                </td>
                <td>
                    {{data.branch}}
                </td>
            </tr>
            <tr>
                <td>Joining Date:</td>
                <td>
                    {{data.joiningDate}}
                </td>
            </tr>
            <tr>
                <td>Joining Location:</td>
                <td>
                    {{data.joiningLocation}}
                </td>
            </tr>
            <tr *ngIf="feedback!=null">
                <td>Feedback:</td>
                <td>
                    {{data.feedback}}
                </td>
            </tr>

        </table>

       
    </div>
</div>